/* add.c:  Client program for add example */

#import <mach.h>
#import <stdio.h>
#import "../Library/add_types.h"

main(int argc, char *argv[])
{
	int				n1, n2, n3;
	kern_return_t 	ret;
	port_t			server;
	 
	/* Check arg count for proper usage. */
	if (argc != 3)
	{
		fprintf(stderr, "usage: %s <num1> <num2>\n", argv[0]);
		exit(1);
	}
	
	/* Read in the args. */
	n1 = atoi(argv[1]);
	n2 = atoi(argv[2]);
	
	/* Find the server. */
	server = add_look_up();
	if (server == PORT_NULL)
	{
		fprintf(stderr, "Couldn't find the add server.\n");
		exit(2);
	}
	
	/* Send a message to the server. */
	ret = add2nums(server, n1, n2, &n3);
	if (ret != KERN_SUCCESS) 
		printf("Call to add2nums failed.\n");
	else
		printf("According to the server, %d + %d = %d.\n", n1, n2, n3);

	exit(0);
}
