/* add_look_up.c:  Contains a library routine to look up the add server. */

#import "../Library/add_types.h"

/* This function finds the port that the add service has advertised. */
port_t	add_look_up()
{
	port_t			port;
	kern_return_t   ret;    
	 
	/* 
	 * Use "" instead of "*", so we look only on this machine.
	 * (That way, we won't run into someone else who's testing 
	 * this server.)
	 */
	ret = netname_look_up(name_server_port, "", ADD_SERVER_NAME, &port);
	
	if (ret != KERN_SUCCESS)
	{
		/* Print the network name server's error message. */
		mach_error("Lookup of add server failed", ret);	
		return PORT_NULL;
	}
	return port;
}

