.Ds U
.Pt Appendix
.Ff A "Alphabetical Listing of Routines" "\*L Reference Manual"
.Ih "routines, alphabetical listing"
.sp -3v
.H1 "\*L Routines"
.in 0
.ta 1.3i
\f3Routine	Description\f1
.sp 0.5v
.nf
.ps -2
dbadata 	Return a pointer to the data for a compute column.
dbadlen 	Return the actual length of the data for a compute column.
dbaltbind 	Bind a compute result column to a program variable.
dbaltcolid 	Return the operand column id for a compute column.
dbaltlen 	Return the maximum length of the data for a compute column.
dbaltop 	Return the type of aggregate operator for a compute column.
dbalttype 	Return the datatype for a compute column.
dbbind 	Bind a regular result column to a program variable.
dbbylist 	Return the bylist for a particular compute row.
dbcancel 	Cancel the current command batch.
dbcancel_a 	Cancel the current command batch (asynchronous \(em VMS only).
dbcanquery 	Cancel any rows pending from the most recently executed query.
dbchange 	Determine whether a command batch has changed the current database.
dbclose 	Close and de-allocate a single DBPROCESS structure.
dbclrbuf 	Drop rows from the row buffer.
dbclropt 	Clear an option set by \f2dbsetopt()\f1.
dbcmd 	Add text to the DBPROCESS command buffer.
DBCMDROW 	Determine whether the current command can return rows.
dbcolbrowse	Determine whether the source of a result column is updatable via the 
	\*L browse-mode facilities.
dbcollen 	Return the maximum length, in bytes, of the data for a column.
dbcolname 	Return the name of a particular regular result column.
dbcolsource	Return a pointer to the name of the database column from which the
	specified result column was derived.
dbcoltype 	Return the datatype for a column.
dbconvert	Convert data from one datatype to another.
DBCOUNT 	Return the number of rows affected by a \*N command.
DBCURCMD 	Return the number of the current command. 
DBCURROW 	Return the number of the row currently being read. 
dbdata 	Return a pointer to the data for a regular result column.
dbdatlen 	Return the actual length, in bytes, of the data for a column.
DBDEAD	Determine whether a particular DBPROCESS is dead.
dberrhandle	Install a user function to handle \*L errors.
dbexit 	Close and de-allocate all DBPROCESS structures, and clean up
	any structures initialized by \f2dbinit()\f1.
dbfcmd 	Add text to the DBPROCESS command buffer using C run-time library 
	\f2sprintf\f1-type formatting.
DBFIRSTROW 	Return the number of the first row in the row buffer. 
dbfreebuf 	Clear the command buffer.
dbfreequal	Free the memory allocated by \f2dbqual()\f1.
dbgetchar 	Return a pointer to a character in the command buffer.
dbgetmaxprocs	Determine the current maximum number of simultaneously open 
	DBPROCESSes.
dbgetoff 	Check for the existence of \*N constructs in the command 
	buffer.
dbgetrow 	Read the specified row in the row buffer.
DBGETTIME	Return the number of seconds that \*L will wait for a \*S 
	response to a SQL command.
dbgetuserdata	Return a pointer to user-allocated data from a DBPROCESS structure.
dbhasretstat	Determine whether the current command or remote procedure call
	generated a return status number.
dbinit	Initialize \*L.
DBIORDESC	Provide program access to the UNIX file descriptor used by a DBPROCESS 
	to read data coming from \*S (UNIX only).
DBIOWDESC	Provide program access to the UNIX file descriptor used by a DBPROCESS 
	to write data to \*S (UNIX only).
DBISAVAIL 	Determine whether a DBPROCESS is available for general use.
dbisopt 	Check the status of a \*S or \*L option.
DBLASTROW 	Return the number of the last row in the row buffer. 
dblogin 	Allocate a login record for use in \f2dbopen()\f1.
dbloginfree 	Free a login record.
DBMORECMDS 	Indicate whether there are more commands to be processed.
dbmoretext	Send part of a text or image value to \*S.
dbmsghandle	Install a user function to handle \*S messages.
dbname 	Return the name of the current database.
dbnextrow 	Read in the next row.
dbnextrow_a 	Read in the next row (asynchronous \(em VMS only).
dbnumalts 	Return the number of columns in a particular compute row.
dbnumcols 	Determine the number of columns for the current set of results.
dbnumcompute 	Return the number of COMPUTE clauses in the current set of results.
DBNUMORDERS 	Return the number of columns specified in a \*N SELECT 
	statement's ORDER BY clause.
dbnumrets 	Determine the number of return parameter values generated by
	a stored procedure.
dbopen 	Create and initialize a DBPROCESS structure.
dbopen_a 	Create and initialize a DBPROCESS structure (asynchronous \(em VMS only).
dbordercol 	Return the id of a column appearing in the most recently executed query's 
	ORDER BY clause.
dbprhead 	Print the column headings for rows returned from \*S.
dbprrow 	Print all the rows returned from \*S.
dbprtype 	Convert a token value to a readable string.
dbqual	Return a pointer to a WHERE clause suitable for use in updating the current
	row in a browsable table.
DBRBUF 	Determine whether the \*L network buffer contains any unread 
	bytes (UNIX only).
dbreadpage 	Read in a page of binary data from \*S.
dbresults 	Set up the results of the next query.
dbresults_a 	Set up the results of the next query (asynchronous \(em VMS only).
dbretdata	Return a pointer to a return parameter value generated by a
	stored procedure.
dbretlen	Determine the length of a return parameter value generated
	by a stored procedure.
dbretname	Determine the name of the stored procedure parameter associated
	with a particular return parameter value.
dbretstatus	Determine the stored procedure status number returned by the
	current command or remote procedure call.
dbrettype	Determine the datatype of a return parameter value generated
	by a stored procedure.
DBROWS 	Indicate whether the current command actually returned rows.
DBROWTYPE 	Return the type of the current row.
dbrpcinit	Initialize a remote procedure call.
dbrpcparam	Add a parameter to a remote procedure call.
dbrpcsend	Signal the end of a remote procedure call.
dbrpwclr	Clear all remote passwords from the LOGINREC structure.
dbrpwset	Add a remote password to the LOGINREC structure.
dbsetavail 	Mark a DBPROCESS as being available for general use.
dbsetbusy 	Call a user-supplied function when \*L is reading from 
	\*S.
dbsetconnect	Allocate and initialize a network connection structure.
dbsetidle 	Call a user-supplied function when \*L is finished reading from 
	\*S.
dbsetifile	Specify the name and location of the SYBASE interfaces file.
dbsetinterrupt 	Call user-supplied functions to handle interrupts while waiting on a read
	from \*S.
DBSETLAPP	Set the application name in the LOGINREC structure.
DBSETLHOST	Set the host name in the LOGINREC structure.
dbsetlogintime	Set the number of seconds that \*L waits for a \*S 
	response to a request for a DBPROCESS connection.
DBSETLPWD	Set the user \*S password in the LOGINREC structure.
DBSETLUSER	Set the username in the LOGINREC structure.
dbsetmaxprocs	Set the maximum number of simultaneously open DBPROCESSes.
dbsetnull 	Define substitution values to be used when binding null values.
dbsetopt 	Set a \*S or \*L option.
dbsettime 	Set the number of seconds that \*L will wait for a \*S 
	response to a SQL command.
dbsetuserdata	Use a DBPROCESS structure to save a pointer to user-allocated data.
dbsqlexec 	Send a command batch to \*S.
dbsqlexec_a 	Send a command batch to \*S (asynchronous \(em VMS only).
dbsqlok	Wait for results from the \*S and verify the correctness 
	of the instructions the \*S is responding to.
dbsqlsend	Send a command batch to \*S and do not wait for a response.
dbstrcpy 	Copy a portion of the command buffer.
dbstrlen 	Return the length, in characters, of the command buffer.
dbtabbrowse	Determine whether the specified table is updatable via the 
	\*L browse-mode facilities.
dbtabcount	Return the number of tables involved in the current SELECT query.
dbtabname	Return the name of a table based on its number.
dbtabsource	Return the name and number of the table from which a particular
	result column was derived.
dbtsnewlen	Return the length of the new value of the timestamp column after a
	browse-mode update.
dbtsnewval	Return the new value of the timestamp column after a browse-mode update.
dbtsput	Put the new value of the timestamp column into the given table's current row 
	in the DBPROCESS.
dbtxptr	Return the value of the text pointer for a column in the current row.
dbtxtimestamp	Return the value of the text timestamp for a column in the current row.
dbtxtsnewval	Return the new value of a text timestamp after a call to \f2dbwritetext()\f1.
dbtxtsput	Put the new value of a text timestamp into the specified column of the 
	current row in the DBPROCESS.
dbuse 	Use a particular database.
dbvarylen	Determine whether the specified regular result column's data can
	vary in length.
dbwillconvert	Determine whether a specific data conversion is available within 
	\*L.
dbwritepage 	Write a page of binary data to \*S.
dbwritetext 	Send a text or image value to \*S.
errors 	The complete collection of \*L errors and error severities.
options 	The complete list of \*L options.
types 	The list of data typedefs and defines used by \*L.
.ps +2
.H1 "Bulk Copy Routines"
.in 0
.ta 1.3i
\f3Routine	Description\f1
.sp 0.5v
.nf
.ps -2
bcp_batch	Save any preceding rows in \*S.
bcp_bind	Bind data from a program variable to a \*S table.
bcp_colfmt	Specify the format of a host file for bulk copy purposes.
bcp_collen	Set the program variable data length for the current copy IN.
bcp_colptr	Set the program variable data address for the current copy IN.
bcp_columns	Set the total number of columns found in the host file.
bcp_control	Change various control parameter default settings.
bcp_done	End a bulk copy from program variables into \*S.
bcp_exec	Execute a bulk copy of data between a database table and a host file.
bcp_init	Initialize bulk copy.
bcp_moretext	Send part of a text or image value to \*S.
bcp_sendrow	Send a row of data from program variables to \*S.
BCP_SETL	Set the LOGINREC for bulk copy operations.
.ps +2
.H1 "Two-Phase Commit Routines"
.in 0
.ta 1.3i
\f3Routine	Description\f1
.sp 0.5v
.nf
.ps -2
abort_xact	Mark a distributed transaction as being aborted.
build_xact_string	Build a name for a distributed transaction.
close_commit	End a connection with the commit service.
commit_xact	Mark a distributed transaction as being committed.
open_commit	Establish a connection with the commit service.
remove_xact	Decrement the count of sites still active in the distributed transaction.
scan_xact	Print commit service record for distributed transactions.
start_xact	Start a distributed transaction using the commit service.
stat_xact	Return the current status of a distributed transaction.
.ps +2
