.Na "dbalttype" 
.Aa
.Fu
Return the datatype for a compute column.
.Ih "compute column, returning datatype of"
.Ih "datatype, compute column"
.Sy
.Sf "int dbalttype(dbproc, computeid, column)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "computeid"
.Sp "int" "column"
.Co
.Bl
This routine returns the datatype for a compute column.
For a list of \*S datatypes, see the manual page for 
.I types.
.Bl
\f2dbalttype()\f1 actually returns an integer token value for the datatype
(SYBCHAR, SYBFLT8, etc.).
To convert the token value into a readable token string, use \f2dbprtype()\f1.
See the \f2dbprtype()\f1 manual page for a list of all token values and their
equivalent token strings.
.Bl
For example, given the SQL statement:
.SD
.in +5n
.ne 3
select dept, name from employee
	order by dept, name
	compute count(name) by dept
.in -5n
.ED
the call
.I "dbalttype(dbproc, 1, 1)"
will return the token value SYBINT4, because counts
are of SYBINT4 type.
\f2dbprtype()\f1 will convert SYBINT4 into the readable token string ``int''.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi computeid
The id that identifies the particular compute row of interest.
A SQL SELECT statement may have multiple COMPUTE clauses, 
each of which returns a separate compute row.
The \f2computeid\f1 corresponding to the
first COMPUTE clause in a SELECT is 1.
The \f2computeid\f1 is returned by \f2dbnextrow()\f1 
or \f2dbgetrow().\f1
.Pi column
The number of the column of interest.  The first column is number 1.
.in -.375i
.Re
.br
A token value for the datatype for a particular compute column.
.sp 0.5v
In a few cases, the token value returned by this routine may not correspond 
exactly with the column's \*S datatype:
.Bl
SYBVARCHAR is returned as SYBCHAR.
.Bl
SYBVARBINARY is returned as SYBBINARY.
.Bl
SYBDATETIMN is returned as SYBDATETIME.
.Bl
SYBMONEYN is returned as SYBMONEY.
.Bl
SYBFLTN is returned as SYBFLT8.
.Bl
SYBINTN is returned as SYBINT1, SYBINT2, or SYBINT4, depending
on the actual type of the SYBINTN.
.Bz
.in +.375i
.sp 0.5v
\f2dbalttype()\f1 returns -1 if either the
.I "computeid"
or the
.I column
are invalid.
.Bz
.Sa
dbadata,
dbadlen,
dbaltlen,
dbnextrow,
dbnumalts,
dbprtype,
types
