.Na "dbclose" 
.Aa
.Fu
Close and de-allocate a single DBPROCESS structure.
.Ih "DBPROCESS, closing"
.Ih "network connection, closing"
.Sy
.Sf "void dbclose(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
.I "dbclose()"
is the inverse of
.I "dbopen()."
It cleans up any activity associated with one DBPROCESS
structure and de-allocates the space.
It also closes the corresponding network connection.
.Bl
To close every open DBPROCESS structure,
use \f2dbexit()\f1 instead.
.Bl
Calling
.I "dbclose()"
with an argument not returned by
.I "dbopen()"
is sure to cause trouble.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
None.
.Sa
dbexit,
dbopen
