.Na "DBCMDROW" 
.Aa
.Fu
Determine whether the current command can return rows.
.Ih "command, determining whether it can return rows"
.Sy
.Sf "RETCODE DBCMDROW(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This macro determines whether the command currently being
processed by \f2dbresults()\f1 is one
that can return rows, \f2i.e.\f1, a \*N SELECT
statement or an EXECUTE on a stored procedure containing a 
SELECT.
The application can call it after
.I "dbresults()"
returns SUCCEED.
.Bl
Even if this macro returns SUCCEED, 
the command does not return any rows if none have qualified.
To determine whether any rows are actually being returned,
use \f2DBROWS()\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
SUCCEED or FAIL, to indicate whether the
command can return rows.
.Sa
dbnextrow,
dbresults,
DBROWS,
DBROWTYPE
