.Na "dbcoltype" 
.Aa
.Fu
Return the datatype for a regular result column.
.Ih "column, returning the datatype of"
.Ih "datatype, column"
.Sy
.Sf "int dbcoltype(dbproc, column)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "column"
.Co
.Bl
This routine returns the datatype for a
regular (\f2i.e.,\f1 non-compute) result column.
For a list of \*S datatypes, see the manual page for 
.I types.
.Bl
\f2dbcoltype()\f1 actually returns an integer token value for the datatype
(SYBCHAR, SYBFLT8, etc.).
To convert the token value into a readable token string, use \f2dbprtype()\f1.
See the \f2dbprtype()\f1 manual page for a list of all token values and their
equivalent token strings.
.Bl
You can use \f2dbvarylen()\f1 to 
determine whether a column's datatype is variable length.
.Bl
Here's a program fragment that uses \f2dbcoltype()\fP:
.ta +4n +4n +4n +4n +4n +4n
.SD
.so dbcoltype.ex
.ED
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi column
The number of the column of interest.  The first column is number 1.
.in -.375i
.Re
.br
A token value for the datatype for a particular column.
.sp 0.5v
In a few cases, the token value returned by this routine may not correspond 
exactly with the column's \*S datatype:
.Bl
SYBVARCHAR is returned as SYBCHAR.
.Bl
SYBVARBINARY is returned as SYBBINARY.
.Bl
SYBDATETIMN is returned as SYBDATETIME.
.Bl
SYBMONEYN is returned as SYBMONEY.
.Bl
SYBFLTN is returned as SYBFLT8.
.Bl
SYBINTN is returned as SYBINT1, SYBINT2, or SYBINT4, depending
on the actual type of the SYBINTN.
.Bz
.in +.375i
.sp 0.5v
If the column number is not in range, \f2dbcoltype()\f1 returns -1.
.Sa
dbcollen,
dbcolname,
dbdata,
dbdatlen,
dbnumcols,
dbprtype,
dbvarylen,
types
