.Na "dbfreebuf" 
.Aa
.Fu
Clear the command buffer.
.Ih "command buffer, clearing"
.Sy
.Sf "void dbfreebuf(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine clears a DBPROCESS command buffer by freeing 
any space allocated to it.
It then sets the
command buffer to NULL.
Commands are added to the command buffer with the
.I "dbcmd()"
or
.I "dbfcmd()"
routine.
.Bl
After a call to \f2dbsqlexec()\f1 or \f2dbsqlsend()\f1,
the first call to either \f2dbcmd()\f1 or \f2dbfcmd()\f1 
automatically calls \f2dbfreebuf()\f1 to clear the command buffer before the new text is entered.
If this situation is undesirable, set the DBNOAUTOFREE option.
.Ih "DBNOAUTOFREE option"
When DBNOAUTOFREE is set, the command buffer is cleared only by an
explicit call to \f2dbfreebuf()\f1.
.Bl
At any time,
the application can access the
contents of the command buffer through calls to
.I "dbgetchar(), dbstrlen(),"
and
.I "dbstrcpy()."
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
None.
.Sa
dbcmd,
dbfcmd,
dbgetchar,
dbsqlexec,
dbsqlsend,
dbstrcpy,
dbstrlen,
options
