.Na "dbgetuserdata" 
.mc |
.Aa
.Fu
Return a pointer to user-allocated data from a DBPROCESS structure.
.Ih "user data"
.Ih "data, user"
.Sy
.Sf "BYTE *dbgetuserdata(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine returns, from a DBPROCESS structure, a pointer to user-allocated data.
The application must have previously saved this pointer with the \f2dbsetuserdata()\f1 routine.
.Bl
\f2dbgetuserdata()\f1 and \f2dbsetuserdata()\f1 allow the application to associate user data
with a particular DBPROCESS.
This avoids the necessity of using global variables for this purpose.
One use for these routines is to handle deadlock, as shown in the example on the
\f2dbsetuserdata()\f1 manual page.
That example reruns the transaction when the application's message handler detects deadlock.
.Ih "deadlock"
.Bl
This routine is particularly useful when the application has multiple DBPROCESSes.
.Ih "DBPROCESSes, multiple"
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
A generic BYTE pointer to the user's private data space.
This pointer must have been previously saved with the 
\f2dbsetuserdata()\f1 routine.
.Sa
dbsetuserdata
.mc
