.Na "dbisopt" 
.Aa
.Fu
Check the status of a \*S or \*L option.
.Ih "option, checking the status of an"
.Sy
.Sf "DBBOOL dbisopt(dbproc, option, param)"
.Sp "DBPROCESS" "*dbproc"
.Sp "int" "option"
.Sp "char" "*param"
.Co
.Bl
This routine checks the status of \*S and 
\*L options.
Although \*S options may be set and cleared directly through
SQL, the application should instead use
.I "dbsetopt()"
and
.I "dbclropt()"
to set and clear options.  This provides a uniform interface for
setting both \*S and \*L options.
It also allows the application to use the
.I "dbisopt()"
function to check the status of an option.
.Bl
For a list of each option and its default
status, see the manual page for
.I options.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
Unlike the functions
.I "dbsetopt()"
and
.I "dbclropt(),"
\f2dbproc\f1 cannot be NULL here.
.Pi option
The option to be checked.
See the \f2options\f1 manual page for the list of options.
.Pi param
Certain options take parameters.  The
DBOFFSET
option, for example, takes as a parameter the SQL construct for which offsets are to
be returned.
The \f2options\f1 manual page lists those options that take parameters.
If an option does not take a parameter,
.I param
must be NULL.
.sp
If the option you are checking takes a parameter but there can be only
one instance of the option, \f2dbisopt()\f1 ignores the 
.I param
argument.
For example, 
\f2dbisopt()\f1 ignores the value of
.I param
when checking the DBBUFFER option,
because row buffering can have only one setting at a time.
On the other hand, the DBOFFSET option can have several settings,
each with a different parameter.
It may have been set twice\(emto look for offsets to
SELECT statements and offsets to ORDER BY 
clauses.
In that case, \f2dbisopt()\f1 needs the \f2param\f1 argument to determine whether
to check the SELECT offset or the ORDER BY offset.
The only other option for which \f2dbisopt()\f1 requires a \f2param\f1 is DBSTAT.
.in -.375i
.Re
.br
TRUE or FALSE.
.Sa
dbclropt,
dbsetopt,
options
