.Na "dbmoretext"
.mc |
.Aa
.Fu
Send part of a text or image value to \*S.
.Ih "text value, updating"
.Ih "image value, updating"
.Sy
.Sf "RETCODE dbmoretext(dbproc, size, text)"
.Sp "DBPROCESS" "*dbproc"
.Sp "DBINT" "size"
.Sp "BYTE" "*text"
.Co
.Bl
This routine is used in conjunction with \f2dbwritetext()\f1
to send a large SYBTEXT or SYBIMAGE value to \*S in the form
of a number of smaller chunks.
This is particularly useful with operating systems 
unable to allocate extremely long data buffers.
.Bl
\f2dbmoretext()\f1 and \f2dbwritetext()\f1 are used in updates only, and serve to replace the
\*N UPDATE statement.
.Bl
\f2dbsqlok()\f1 and \f2dbresults()\f1 must be called before the first call to 
\f2dbmoretext()\f1 and after the last call to \f2dbmoretext()\f1.
.Bl
See the \f2dbwritetext()\f1 manual page for more information, including an example
that uses \f2dbmoretext()\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi size
The size, in bytes, of this particular part of the text or image value being sent to \*S.
It is an error to send more text or image bytes to \*S than were specified in the
call to \f2dbwritetext()\f1.
.Pi text
A pointer to the text or image portion to be written.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dbtxptr, 
dbtxtimestamp,
dbwritetext
.mc
