.Na "dbnumcompute" 
.Aa
.Fu
Return the number of COMPUTE clauses in the current set of results.
.Ih "compute clauses, determining the number of"
.Sy
.Sf "int dbnumcompute(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine returns the number of COMPUTE clauses in the current set of results.
The application can call it after
.I "dbresults()"
returns SUCCEED.
For example, given the SQL statement:
.SD
.in +5n
.ne 4
select dept, name from employee
	order by dept, name
	compute count(name) by dept
	compute count(name)
.in -5n
.ED
the call
.I "dbnumcompute(dbproc)"
will return 2 since there are two COMPUTE
clauses in the SELECT statement.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
The number of COMPUTE clauses in the current set of results.
.Sa
dbnumalts,
dbresults
