.Na "dbprtype" 
.Aa
.Fu
Convert a token value to a readable string.
.Ih "tokens, converting to readable strings"
.Sy
.Sf "char *dbprtype(token)"
.Sp "int" "token"
.Co
.Bl
Certain routines\(em\f2dbcoltype()\f1, \f2dbalttype()\f1,
\f2dbrettype(),\f1 and \f2dbaltop()\f1\(emreturn 
token values representing \*S datatypes or aggregate operators.
\f2dbprtype()\f1 provides a readable string version of a token value.
.Bl
For example, \f2dbprtype()\f1 will take a \f2dbcoltype()\f1 token value representing
the \*S binary datatype (SYBBINARY) and return the string ``binary''.
.Bl
Here's a list of the token strings that \f2dbprtype()\f1 can return 
and their token value equivalents:
.in +3n
.nf
.sp 
.ne 3
.ta +16n +20n 
\f3Token String	Token Value	Description\f1
.sp 0.5v
char	SYBCHAR	char datatype
text	SYBTEXT	text datatype
binary	SYBBINARY	binary datatype
image	SYBIMAGE	image datatype
tinyint	SYBINT1	1-byte integer datatype
smallint	SYBINT2	2-byte integer datatype
int	SYBINT4	4-byte integer datatype
float	SYBFLT8	8-byte float datatype
bit	SYBBIT	bit datatype
money	SYBMONEY	money datatype
datetime	SYBDATETIME	datetime datatype
sum	SYBAOPSUM	sum aggregate operator
avg	SYBAOPAVG	average aggregate operator
count	SYBAOPCNT	count aggregate operator
min	SYBAOPMIN	minimum aggregate operator
max	SYBAOPMAX	maximum aggregate operator
.fi
.in -3n
.Bz
.Pa
.Pi token
The \*S token value (SYBCHAR, SYBFLT8, etc.) returned by 
\f2dbcoltype()\f1, \f2dbalttype()\f1,
\f2dbrettype(),\f1 or \f2dbaltop()\f1.
.in -.375i
.Re
.br
A pointer to a null-terminated string that is the 
readable translation of the token value.
The pointer points to space that is never overwritten, so it
is safe to call this routine more than once in the same statement.
If the token value is unknown, the routine returns a pointer
to an empty string.
.Sa
dbaltop,
dbalttype,
dbcoltype,
dbrettype,
types
