.Na "DBRBUF    (UNIX only)"
.Aa
.Fu
Determine whether the \*L network buffer contains
any unread bytes.
.Ih "network buffer, determining whether it contains unread bytes (UNIX)"
.Sy
.Sf "DBBOOL DBRBUF(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine lets the application know if the \*L
network buffer contains any bytes yet unread.
.Bl
\f2DBRBUF()\f1 is ordinarily used in conjunction with 
\f2dbsqlok()\f1 and \f2DBIORDESC()\f1 to manage multiple input data streams.
.Ih "input streams, multiple"
To manage these input streams efficiently,
an application that uses \f2dbsqlok()\f1 should check whether any bytes 
remain either in the network buffer (by calling \f2DBRBUF()\f1) or in the network itself
(by calling the UNIX \f2select()\f1) before it calls \f2dbresults()\f1.
See the \f2\*L Reference Supplement\f1 for an example of this.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
TRUE (bytes remain in buffer) or FALSE (no bytes in buffer).
.Sa
DBIORDESC,
dbsqlok,
dbresults
