.Na "DBROWS" 
.Aa
.Fu
Indicate whether the current command actually returned rows.
.Ih "command, determining whether it returned rows"
.Sy
.Sf "RETCODE DBROWS(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This macro determines whether the command currently being
processed by \f2dbresults()\f1 returned any rows.
The application can call it after
.I "dbresults()"
returns SUCCEED.
.Bl
The application must not call \f2DBROWS()\f1 after \f2dbnextrow()\f1.
The macro may return the wrong result at that time.
.Bl
The application can use \f2DBROWS()\f1 to determine whether it
needs to call \f2dbnextrow()\f1 to process result rows.
If \f2DBROWS()\f1 returns FAIL, the application can skip the \f2dbnextrow()\f1 calls.
.Bl
The
.I "DBCMDROW()"
macro determines whether the current command is one that \f2can\f1 return rows
(\f2i.e.,\f1 a \*N SELECT statement or an EXECUTE on a stored procedure
containing a SELECT).
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
SUCCEED or FAIL, indicating whether the current
command returned rows.
.Sa
DBCMDROW,
dbnextrow,
dbresults,
DBROWTYPE
