.Na "dbrpcsend"
.mc |
.Aa
.Fu
Signal the end of a remote procedure call.
.Ih "remote procedure call"
.Ih "stored procedure, calling"
.Ih "call, remote procedure"
.Sy
.Sf "RETCODE dbrpcsend(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
An application can call a stored procedure in two ways:
by executing a command buffer containing a \*N EXECUTE statement or by making a
remote procedure call (``rpc'').
See the manual page for \f2dbrpcinit()\f1 for a discussion of
the differences between these techniques.
.Bl
To make a remote procedure call,
first call \f2dbrpcinit()\f1 to specify the stored procedure that's to be invoked.
Then call \f2dbrpcparam()\f1 once for each of the stored procedure's parameters.
Finally, call \f2dbrpcsend()\f1 to signify the end of the parameter list.
This causes the server to begin executing the specified procedure.
You can then call \f2dbsqlok()\f1, \f2dbresults()\f1, and \f2dbnextrow()\f1
to process the stored procedure's results.
(Note that you will need to call \f2dbresults()\f1 multiple times if the
stored procedure contains more than one SELECT statement.)
After all of the stored procedure's results have been processed
you can call the routines that process return parameters and status numbers,
such as \f2dbretdata()\f1 and \f2dbretstatus()\f1.
.Bl
For an example of a remote procedure call, 
see Example 8 in the \f2\*L Reference Supplement\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/server process.  It contains all the
information that \*L uses to manage communications and data between the
front end and the server.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dbnextrow,
dbresults,
dbretdata,
dbretstatus,
dbrpcinit,
dbrpcparam, 
dbsqlok
.mc
