.Na "DBSETLPWD" 
.Aa
.Fu
Set the user \*S password in the LOGINREC structure.
.Ih "LOGINREC, setting the password in"
.Ih "password, setting"
.Sy
.Sf "RETCODE DBSETLPWD(loginrec, password)"
.Sp "LOGINREC" "*loginrec"
.Sp "char" "*password"
.Co
.Bl
This macro sets the user \*S password in the 
LOGINREC
structure.  
For it to have any effect, it must be called before
.I "dbopen()."
.Bl
By default, the password field of the LOGINREC has a null value.
Therefore, you do not need to call this routine if the password
is a null value.
.Bl
\*L does not automatically blank out the password in 
.I loginrec
after a call to
.I "dbopen()."
Therefore, if you want to minimize the risk of having a readable password
in your \*L program, you should set
.I password
to something else after you call
.I "dblogin()."
.Bl
\f3Note for Macintosh programmers:\f1  The MPW library
does not provide a routine for entering passwords.
The programmer must therefore supply such a routine, if one is desired.
.Bz
.Pa
.Pi loginrec
A pointer to a LOGINREC structure, which will be passed as
an argument to 
.I "dbopen()."
You can get one by calling
.I "dblogin()."
.Pi password
The \*S password that will be sent to \*S.
It must be a null-terminated character string.
The maximum length of the string, not including the null terminator,
is 30 characters.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dblogin,
dbopen,
DBSETLAPP,
DBSETLHOST,
DBSETLUSER
