.Na "DBSETLUSER" 
.Aa
.Fu
Set the username in the LOGINREC structure.
.Ih "LOGINREC, setting the username in"
.Ih "username, setting"
.Sy
.Sf "RETCODE DBSETLUSER(loginrec, username)"
.Sp "LOGINREC" "*loginrec"
.Sp "char" "*username"
.Co
.Bl
This macro sets the username in the 
LOGINREC
structure. 
For it to have any effect, it must be called before
.I "dbopen()."
.Bl
In most environments, this macro is optional.
If it is not called,
\*L will generally set the default value for 
the username.
.sp 0.5v
\f3Note for VMS programmers:\f1  On VMS the username defaults to the
USER logical name.
.sp 0.5v
\f3Note for UNIX programmers:\f1  On UNIX the username defaults
to the UNIX login name.
.sp 0.5v
\f3Note for MS-DOS and OS/2 programmers:\f1  On MS-DOS and OS/2 the
username defaults to the SYBUSER environment variable, if any.
If the application does not call
\f2DBSETLUSER()\f1, the SYBUSER environment variable must be set.
Otherwise, \f2dbopen()\f1 will fail
when it tries to log into the \*S.
.sp 0.5v
\f3Note for Macintosh programmers:\f1  On the Macintosh there is no default username.
Therefore, the application must call \f2DBSETLUSER()\f1.
If it does not, \f2dbopen()\f1 will fail when it tries to log into the \*S.
.Bz
.Pa
.Pi loginrec
A pointer to a LOGINREC structure, which will be passed as
an argument to 
.I "dbopen()."
You can get one by calling
.I "dblogin()."
.Pi username
The username that will be sent to \*S.
It must be a null-terminated character string.
The maximum length of the string, not including the null terminator,
is 30 characters.
\*S will use \f2username\f1 to determine who is attempting the connection.
The \*S usernames are defined in the
.I syslogins
table in the 
.I master 
database.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dblogin,
dbopen,
DBSETLHOST,
DBSETLPWD,
DBSETLAPP
