.Na "dbtsnewlen"
.mc |
.Aa
.Fu
Return the length of the new value of the timestamp column 
after a browse-mode update.
.Ih "timestamp column, length of (browse mode)"
.Sy
.Sf "int dbtsnewlen(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
\f2dbtsnewlen()\f1 is one of the \*L browse mode routines.
See the Introduction for a detailed discussion of browse mode.
.Bl
\f2dbtsnewlen()\f1 provides information about the timestamp column.
The WHERE clause returned by \f2dbqual()\f1 contains a call to the
\f2tsequal\f1 built-in function.
.Ih "tsequal function"
When such a WHERE clause is used in an UPDATE statement,
the \f2tsequal\f1 function places a new value in
the updated row's timestamp column and returns the new timestamp value
to the application (if the update is successful).
The \f2dbtsnewlen()\f1 function allows the application to save the length
of the new timestamp value, possibly for use with \f2dbtsput()\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
The length (in bytes) of the updated row's new timestamp value. If no timestamp
was returned to the application (possibly because the update was
unsuccessful, or because the UPDATE statement did not contain
the \f2tsequal\f1 built-in function), \f2dbtsnewlen()\f1 will return -1.
.Sa
dbcolbrowse,
dbcolsource,
dbqual,
dbtabbrowse,
dbtabcount,
dbtabname,
dbtabsource,
dbtsnewval,
dbtsput
.mc
