.Na "dbtxtsnewval"
.mc |
.Aa
.Fu
Return the new value of a text timestamp after a call to \f2dbwritetext()\f1.
.Ih "timestamp, text, returning new value of"
.Ih "text timestamp, returning new value of"
.Sy
.Sf "DBBINARY *dbtxtsnewval(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
Every database column of type SYBTEXT or SYBIMAGE has an associated
text timestamp, which
is updated whenever the column's value is changed.
The text timestamp is useful in conjunction with the \f2dbwritetext()\f1
function, to ensure that two competing application users do not inadvertently
wipe out each other's modifications to the same value in the database.
It is returned to the DBPROCESS when a \*N
SELECT is performed on a SYBTEXT or SYBIMAGE column and
may be examined by calling \f2dbtxtimestamp()\f1.
.Bl
After each successful \f2dbwritetext()\f1 operation (which may include
a number of calls to \f2dbmoretext()\f1), \*S will send the
updated text timestamp value back to \*L.
\f2dbtxtsnewval()\f1 provides a way for the application to get this new timestamp value.
.Bl
The application can use \f2dbtxtsnewval()\f1 in two ways.
First, the return from \f2dbtxtsnewval()\f1 can be 
used as the \f2timestamp\f1 parameter of a \f2dbwritetext()\f1 call.
Second, \f2dbtxtsnewval()\f1 and
\f2dbtxtsput()\f1 can be used together to put the new timestamp value
into the DBPROCESS row buffer, for future access via \f2dbtxtimestamp()\f1.
This is particularly useful when the application is buffering result rows
and does not need the new timestamp immediately.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
A pointer to the new text timestamp value for the SYBTEXT or SYBIMAGE value
modified by a \f2dbwritetext()\f1 operation.
This pointer may be NULL.
.Sa
dbmoretext, 
dbtxtimestamp, 
dbtxtsput,
dbwritetext
.mc
