.Na "dbtxtsput"
.mc |
.Aa
.Fu
Put the new value of a text timestamp into the specified column
of the current row in the DBPROCESS.
.Ih "timestamp, text, putting new value into DBPROCESS"
.Ih "text timestamp, putting new value into DBPROCESS"
.Sy
.Sf "RETCODE dbtxtsput(dbproc, newtxts, colnum)"
.Sp "DBPROCESS" "*dbproc"
.Sp "DBBINARY" "*newtxts"
.Sp "int" "colnum"
.Co
.Bl
Every database column of type SYBTEXT or SYBIMAGE has an associated
text timestamp, which
is updated whenever the column's value is changed.
The text timestamp is useful in conjunction with the \f2dbwritetext()\f1
function, to ensure that two competing application users do not inadvertently
wipe out each other's modifications to the same value in the database.
It is returned to the DBPROCESS when a \*N
SELECT is performed on a SYBTEXT or SYBIMAGE column and
may be examined by calling \f2dbtxtimestamp()\f1.
.Bl
After each successful \f2dbwritetext()\f1 operation (which may include
a number of calls to \f2dbmoretext()\f1), \*S will send the
updated text timestamp value back to \*L.
\f2dbtxtsnewval()\f1 allows the application to get this new timestamp value.
The application can then use \f2dbtxtsput()\f1 to put the new timestamp value
into the DBPROCESS row buffer, for future access via \f2dbtxtimestamp()\f1.
This is particularly useful when the application is buffering result rows
and does not need the new timestamp immediately.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi newtxts
A pointer to the new text timestamp value.
It is returned by \f2dbtxtsnewval()\f1.
.Pi colnum
The number of the column associated with this text timestamp.
Column numbers start at 1.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dbmoretext, 
dbtxtimestamp, 
dbtxtsnewval,
dbwritetext
.mc
