.Na "dbwritepage" 
.Aa
.Fu
Write a page of binary data to \*S.
.Ih "binary data, writing a page of"
.Ih "database pages, repairing"
.Sy
.Sf "RETCODE dbwritepage(dbproc, dbname, pageno, size, buf)"
.Sp "DBPROCESS" "*dbproc"
.Sp "char" "*dbname"
.Sp "DBINT" "pageno"
.Sp "DBINT" "size"
.Sp "BYTE" "buf[]"
.Co
.Bl
.I "dbwritepage()"
writes a page of binary data to \*S. This routine is primarily
useful for examining and repairing damaged database pages.
After calling
\f2dbwritepage()\fP, the DBPROCESS may contain some error or informational
messages from \*S. These messages may be accessed through a 
user-supplied message handler.
.Ns W
Use this routine only if you are absolutely sure you know what you are doing!
.Ne
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi dbname
The name of the database of interest.
.Pi pageno
The number of the database page to be written.
.Pi size
The number of bytes to be written to \*S. Currently,
\*S database pages are 2048 bytes long.
.Pi buf
A pointer to a buffer which holds the data to be written.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dbmsghandle,
dbreadpage
