.Na "errors" 
.Aa
.Fu
The complete collection of \*L errors and error severities.
.Ih "errors, \*L, list of"
.Ih "\*L errors, list of"
.Ih "error severities, \*L, list of"
.Ih "\*L error severities, list of"
.Sy
.Si "<sybfront.h>"
.Si "<sybdb.h>"
.Si "<syberror.h>"
.Co
.Bl
This is the complete range of possible \*L
errors and error severities.
The error values are listed alphabetically, and the error severity values
are listed by increasing severity.
.Bl
These numbers are passed to the currently-installed user-supplied
error handler.
.Bl
The error values are defined in the header file \f2sybdb.h\f1.
.Ih "sybdb.h"
.Ih "syberror.h"
The error severity values are defined in the header file \f2syberror.h\f1.
Your program need include
\f2syberror.h\f1 only if it refers to these severities.
.Bz
.Er
.Ei
.ta +18n
.mc |
.nf
SYBEAAMT	User attempted a \f2dbaltbind()\f1 with mismatched column and variable types.
.Ei
SYBEABMT	User attempted a \f2dbbind()\f1 with mismatched column and variable types.
.Ei
SYBEABNC	Attempt to bind to a non-existent column.
.Ei
SYBEABNP	Attempt to bind using NULL pointers.
.Ei
SYBEABNV	Attempt to bind to a NULL program variable.
.Ei
SYBEAPUT	Attempt to print unknown token.
.Ei
SYBEASEC	Attempt to send an empty command buffer to the \*S.
.Ei
SYBEASNL	Attempt to set fields in a null LOGINREC.
.Ei
SYBEASTF	VMS: Unable to setmode for control_c ast.
.Ei
SYBEASUL	Attempt to set unknown LOGINREC field.
.Ei
SYBEAUTN	Attempt to update the timestamp of a table which has no timestamp column.
.Ei
SYBEBBCI	Batch successfully bulk copied to \*S.
.Ei
SYBEBCBC	\f2bcp_columns()\f1 must be called before \f2bcp_colfmt().\f1
.Ei
SYBEBCFO	Bcp host files must contain at least one column.
.Ei
SYBEBCIS	Attempt to bulk copy an illegally-sized column value to the \*S.
.Ei
SYBEBCNN	Attempt to bulk copy a NULL value into a Server column which 
.ti -.375i
	does not accept null values.
.Ei
SYBEBCNT	Attempt to use Bulk Copy with a non-existent Server table.
.Ei
SYBEBCOR	Attempt to bulk copy an oversized row to the \*S.
.Ei
SYBEBCPB	\f2bcp_bind()\f1 may \f2not\f1 be used after \f2bcp_init()\f1 has been passed a 
.ti -.375i
	non-NULL input file name.
.Ei
SYBEBCPI	\f2bcp_init()\f1 must be called before any other bcp routines.
.Ei
SYBEBCPN	\f2bcp_bind(),\f1 \f2bcp_collen()\f1 and \f2bcp_colptr()\f1 may be used only after 
.ti -.375i
	\f2bcp_init()\f1 has been called with the copy direction set to DB_IN.
.Ei
SYBEBCRE	I/O error while reading bcp datafile.
.Ei
SYBEBCUC	Bcp: Unable to close host datafile.
.Ei
SYBEBCUO	Bcp: Unable to open host datafile.
.Ei
SYBEBCVH	\f2bcp_exec()\f1 may be called only after \f2bcp_init()\f1 has been passed a 
.ti -.375i
	valid host file.
.Ei
SYBEBCWE	I/O error while writing bcp datafile.
.Ei
SYBEBDIO	Bad bulk copy direction.  Must be either IN or OUT.
.Ei
SYBEBEOF	Unexpected EOF encountered in BCP datafile.
.Ei
SYBEBIHC	Incorrect host-column number found in bcp format file.
.Ei
SYBEBIVI	\f2bcp_columns()\f1 and \f2bcp_colfmt()\f1 may be used only after \f2bcp_init()\f1 has 
.ti -.375i
	been passed a valid input file.
.Ei
SYBEBNCR	Attempt to bind user variable to a non-existent compute row.
.Ei
SYBEBRFF	I/O error while reading bcp format file.
.Ei
SYBEBTMT	Attempt to send too much TEXT data via the \f2bcp_moretext()\f1 call.
.Ei
SYBEBTOK	Bad token from \*S: Datastream processing out of sync.
.Ei
SYBEBTYP	Unknown bind type passed to \*L function.
.Ei
SYBEBUCE	Bcp: Unable to close error file.
.Ei
SYBEBUCF	Bcp: Unable to close format file.
.Ei
SYBEBUDF	Bcp: Unrecognized datatype found in format file.
.Ei
SYBEBUFL	\*L internal error - send buffer length corrupted.
.Ei
SYBEBUOE	Bcp: Unable to open error file.
.Ei
SYBEBUOF	Bcp: Unable to open format file.
.Ei
SYBEBWEF	I/O error while writing bcp error file.
.Ei
SYBEBWFF	I/O error while writing bcp format file.
.Ei
SYBECDNS	Datastream indicates that a compute column is derived from a non-
.ti -.375i
	existent select-list member.
.Ei
SYBECLOS	Error in closing network connection.
.Ei
SYBECLPR	Data conversion resulted in loss of precision.
.Ei
SYBECNOR	Column number out of range.
.Ei
SYBECNOV	Attempt to set variable to NULL resulted in overflow.
.Ei
SYBECOFL	Data conversion resulted in overflow.
.Ei
SYBECONN	Unable to connect: \*S is unavailable or does not exist.
.Ei
SYBECSYN	Attempt to convert data stopped by syntax error in source field.
.Ei
SYBECUFL	Data conversion resulted in underflow.
.Ei
SYBEDBPS	Maximum number of DBPROCESSes already allocated.
.Ei
SYBEDDNE	DBPROCESS is dead or not enabled.
.Ei
SYBEDNTI	Attempt to use \f2dbtxtsput()\f1 to put a new text timestamp into a column 
.ti -.375i
	whose datatype is neither SYBTEXT nor SYBIMAGE.
.Ei
SYBEEQVA	Error in queuing VMS AST routine.
.Ei
SYBEFCON	\*S connection failed.
.Ei
SYBEICN	Invalid computeid or compute column number.
.Ei
SYBEIFNB	Illegal field number passed to \f2bcp_control()\f1.
.Ei
SYBEIICL	Illegal integer column length returned by \*S. Legal integer 
.ti -.375i
	lengths are 1, 2, and 4 bytes.
.Ei
SYBEINLN	Interface file: unexpected end-of-line.
.Ei
SYBEINTF	Server name not found in interface file.
.Ei
SYBEITIM	Illegal timeout value specified.
.Ei
SYBEKBCI	1000 rows sent to \*S.
.Ei
SYBEKBCO	1000 rows successfully bulk copied to host file.
.Ei
SYBEMEM	Unable to allocate sufficient memory.
.Ei
SYBENMOB	No such member of ORDER BY clause.
.Ei
SYBENPRM	NULL parameter not allowed for this dboption.
.Ei
SYBENSIP	Negative starting index passed to \f2dbstrcpy()\f1.
.Ei
SYBENTLL	Name too long for LOGINREC field.
.Ei
SYBENTTN	Attempt to use \f2dbtxtsput()\f1 to put a new text timestamp into a 
.ti -.375i
	non-existent data row.
.Ei
SYBENXID	The Server did not grant us a distributed-transaction ID.
.Ei
SYBEOOB	Error in sending out-of-band data to \*S.
.Ei
SYBEOPIN	Could not open interface file.
.Ei
SYBEOPNA	Option is not available with current server.
.Ei
SYBEORPF	Attempt to set remote password would overflow the login-record's 
.ti -.375i
	remote password field.
.Ei
SYBEPWD	Login incorrect.
.Ei
SYBERDCN	Requested data conversion does not exist.
.Ei
SYBERDNR	Attempt to retrieve data from a non-existent row.
.Ei
SYBEREAD	Read from \*S failed.
.Ei
SYBERPNA	The RPC facility is available only when using a \*S whose
.ti -.375i
	version number is 4.0 or greater.
.Ei
SYBERPND	Attempt to initiate a new \*S operation with results pending.
.Ei
SYBERXID	The Server did not recognize our distributed-transaction ID.
.Ei
SYBESEOF	Unexpected EOF from \*S.
.Ei
SYBESFOV	\f2dbsafestr()\f1 overflowed its destination buffer.
.Ei
SYBESMSG	General \*S error: Check messages from \*S.
.Ei
SYBESOCK	Unable to open socket.
.Ei
SYBESYNC	Read attempted while out of synchronization with \*S.
.Ei
SYBETIME	\*S connection timed out.
.Ei
SYBETMTD	Attempt to send too much TEXT data via the \f2dbmoretext()\f1 call.
.Ei
SYBETPTN	Syntax error: only two periods are permitted in table names.
.Ei
SYBETSIT	Attempt to call \f2dbtsput()\f1 with an invalid timestamp.
.Ei
SYBETTS	The table which bulk copy is attempting to copy to a host file is shorter 
.ti -.375i
	than the number of rows which bulk copy was instructed to skip.
.Ei
SYBEUACS	VMS: Unable to assign channel to sys$command.
.Ei
SYBEUAVE	Unable to allocate VMS event flag.
.Ei
SYBEUDTY	Unknown datatype encountered.
.Ei
SYBEUFDT	Unknown fixed-length datatype encountered.
.Ei
SYBEUHST	Unknown host machine name.
.Ei
SYBEUNT	Unknown network type found in interface file.
.Ei
SYBEUSCT	Unable to set communications timer.
.Ei
SYBEUVBF	Attempt to read an unknown version of BCP format file.
.Ei
SYBEUVDT	Unknown variable-length datatype encountered.
.Ei
SYBEVDPT	For bulk copy, all variable-length data must have either a 
.ti -.375i
	length-prefix or a terminator specified.
.Ei
SYBEVMS	Sendflush: VMS I/O error.
.Ei
SYBEWAID	\*L internal error: ALTFMT following ALTNAME has 
.ti -.375i
	wrong id.
.Ei
SYBEWRIT	Write to \*S failed.
.Ei
UNUSED	This error number is unused.
.in -.375i
.fi
.sp 2
.bp
.mc
.IP "ERROR SEVERITIES:"
.in +.375i
.sp
.ne 5
.ta +22n
.nf
.Ei
EXINFO	Informational, non-error.
.Ei
EXUSER	User error.
.Ei
EXNONFATAL	Non-fatal error.
.Ei
EXCONVERSION	Error in \*L data conversion. 
.Ei
EXSERVER	The Server has returned an error flag. 
.Ei
EXTIME	We have exceeded our timeout period while waiting for a response 
.ti -.375i
	from the Server - the DBPROCESS is still alive.
.Ei
EXPROGRAM	Coding error in user program.
.Ei
EXRESOURCE	Running out of resources - the DBPROCESS may be dead.
.Ei
EXCOMM	Failure in communication with Server - the DBPROCESS is dead.
.Ei
EXFATAL	Fatal error - the DBPROCESS is dead. 
.Ei
EXCONSISTENCY	Internal software error - notify Sybase Technical Support.
.Ei
.in -.375i
.fi
.Sa
DBDEAD,
dberrhandle
