.Na "bcp_batch"
.mc |
.Aa
.Fu
Save any preceding rows in \*S.
.Ih "bcp, save a batch of rows in \*S"
.Sy
.Sf "DBINT bcp_batch(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
When an application uses \f2bcp_bind()\f1 and \f2bcp_sendrow()\f1 to bulk-copy rows from
program variables to \*S tables, the rows are permanently saved
in \*S only when the program calls \f2bcp_batch()\f1 or \f2bcp_done()\f1.
.Bl
You may call \f2bcp_batch()\f1 once every \f2n\f1 rows or when
there is a lull between periods of incoming data (as in a telemetry
application). Of course, you may choose some other criteria,
or may decide not to call \f2bcp_batch()\f1 at all. If \f2bcp_batch()\f1 is not
called, the rows are permanently saved in \*S when
\f2bcp_done()\f1 is called.
.Bl
For information on the \f2bcp\f1 utility program, see its manual page
in the \f2Commands Reference\f1.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
The number of rows saved since the last call
to \f2bcp_batch()\f1, or -1 in case of error.
.Sa
bcp_bind, 
bcp_done, 
bcp_sendrow
.mc
