.Na "BCP_SETL"
.mc |
.Aa
.Fu
Set the LOGINREC for bulk copy operations.
.Ih "bcp, set the LOGINREC"
.Ih "LOGINREC, set for bulk copy"
.Sy
.Sf "RETCODE BCP_SETL(loginrec, enable)"
.Sp "LOGINREC" "*loginrec"
.Sp "DBBOOL" "enable"
.Co
.Bl
This macro sets a field in the LOGINREC
structure that tells \*S that the DBPROCESS connection may
be used for bulk copy operations.
For it to have any effect, it must be called before \f2dbopen()\f1,
the routine that actually allocates the DBPROCESS structure.
.Bl
Applications that allow users to make ad hoc queries
may want to avoid calling this macro (or to call it with
the \f2enable\f1 parameter FALSE), in order to keep users from
initiating a bulk copy sequence via SQL commands. Once a bulk copy
sequence has begun, it cannot be stopped via an ordinary SQL command.
.Bl
For information on the \f2bcp\f1 utility program, see its manual page
in the \f2Commands Reference\f1.
.Bz
.Pa
.Pi loginrec
This is a pointer to a LOGINREC structure, which will 
be passed as an argument to \f2dbopen()\f1. You can get one by
calling \f2dblogin()\f1.
.Pi enable
This is a Boolean value (TRUE or FALSE), which specifies
whether or not to enable bulk copy operations for
the resulting DBPROCESS. By default, DBPROCESSes are \f2not\f1
enabled for bulk copy operations.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
bcp_init, 
dblogin, 
dbopen,
DBSETLAPP, 
DBSETLHOST, 
DBSETLPWD, 
DBSETLUSER
.mc
.rs
.bp
.KS
.sp 2
.KE
