.Na "build_xact_string" 
.Aa
.Fu
Build a name for a distributed transaction.
.Ih "distributed transaction, building a name for"
.Sy
.Sf "void build_xact_string(xact_name, service_name, commid, result)
.Sp "char" "*xact_name"
.Sp "char" "*service_name"
.Sp "DBINT" "commid"
.Sp "char" "*result"
.Co
.Bl
This routine builds a name string for use 
in the SQL BEGIN TRANSACTION and PREPARE TRANSACTION 
of a \*S transaction. 
If \*S has to recover the transaction, it uses information
encoded in the name to determine which commit service to contact 
and which transaction in that service to inquire about.
The application should issue a SQL BEGIN TRANSACTION using
the string built by \f2build_xact_string()\f1.
.Bz
.Pa
.Pi xact_name
The application or user name for the transaction. This name
gets encoded in the name string but is not used
by the commit service or \*S. It serves to identify the transaction
for debugging purposes.
.Pi service_name
The name that will be used by \*S to contact the commit
service, should it be necessary to recover the transaction.
If \f2service_name\fP is NULL, the name DSCOMMIT is used.
.Pi commid
The number used by the commit service to identify the transaction.
\f2commid\f1 is the number returned by the call to \f2start_xact()\f1.
.Pi result
Address of buffer where the string should be built.
The space must be allocated by the caller.
.in -.375i
.Re
.br
None.
.Sa
commit_xact,
start_xact
