.Na "open_commit" 
.Aa
.Fu
Establish a connection with the commit service.
.Ih "commit service, establishing connection to"
.Sy
.Sf "DBPROCESS *open_commit(login, servername)"
.Sp "LOGINREC" "*login"
.Sp "char" "*servername"
.Co
.Bl
This routine calls \f2dbopen()\fP to establish a connection 
with the commit service. 
A call to \f2open_commit()\fP
must precede any calls to other commit service routines, such as
\f2start_xact()\fP, \f2commit_xact()\fP,  \f2abort_xact()\fP, \f2remove_xact()\fP,
and \f2scan_xact()\fP. A session with the commit service is closed
by calling \f2close_commit()\fP.
.Bl
This routine returns a DBPROCESS structure, which is used to communicate
with the commit service.
The DBPROCESS must be dedicated to its role with the commit service
and should not be used otherwise in the distributed transaction.
.Bz
.Pa
.Pi login
This is a LOGINREC containing information about the user 
initiating the session, such as login name, password, options desired.
The LOGINREC must have been obtained from a prior call 
to the \*L routine \f2dblogin()\fP. The caller may wish to initialize
fields in the LOGINREC. See the manual page for \f2dblogin()\fP for more details.
.Pi servername
The name of the commit service; for example, DSCOMMIT_SALESNET.
If \f2servername\fP is NULL, the name DSCOMMIT is used. 
The name cannot contain a period (``.'') or a colon (``:'').
.in -.375i
.Re
.br
A pointer to a DBPROCESS structure to be used in subsequent commit service calls,
or NULL if the open failed.
.Sa
dblogin,
dbopen
